Bug 433608 - No kde-gtk-config assets being produced on second user account
Summary: No kde-gtk-config assets being produced on second user account
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_style (show other bugs)
Version: 5.21.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-25 18:09 UTC by Paul McAuley
Modified: 2021-03-02 00:03 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul McAuley 2021-02-25 18:09:56 UTC
I just created a new user account (Standard user) and GTK CSD apps now no longer have any window buttons. I am aware that kde-gtk-config normally places some files in ~/.config/gtk-3.0/assets , but this directory is empty. I have tried changing the window decoration several times, but no assets get created. This all works fine on my main user account.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Leap 15.2
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Comment 1 Alois Wohlschlager 2021-02-26 15:36:59 UTC
kde-gtk-config uses a predictable temporary path for the icons and fails to clean it up, so the second user gets permission denied errors. Fix is underway.
Comment 2 Bug Janitor Service 2021-02-26 16:27:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kde-gtk-config/-/merge_requests/26
Comment 3 Nate Graham 2021-03-02 00:03:01 UTC
Git commit 605d912d183c39bac456565bb739191a76d6db73 by Nate Graham, on behalf of Alois Wohlschlager.
Committed on 02/03/2021 at 00:02.
Pushed by ngraham into branch 'master'.

Use unique temporary directory for CSD assets, and clean it up

The configurator used a fixed temporary directory for the CSD button
files, and never deleted it. This is not feasible on multi-user systems.
Change it to use a random path which is cleaned up afterwards.
FIXED-IN: 5.21.2

M  +3    -4    kded/configvalueprovider.cpp
M  +4    -0    kded/configvalueprovider.h

https://invent.kde.org/plasma/kde-gtk-config/commit/605d912d183c39bac456565bb739191a76d6db73
Comment 4 Nate Graham 2021-03-02 00:03:59 UTC
Git commit 83289058a4332f25c664f2f6b495c72c349e15c0 by Nate Graham, on behalf of Alois Wohlschlager.
Committed on 02/03/2021 at 00:03.
Pushed by ngraham into branch 'Plasma/5.21'.

Use unique temporary directory for CSD assets, and clean it up

The configurator used a fixed temporary directory for the CSD button
files, and never deleted it. This is not feasible on multi-user systems.
Change it to use a random path which is cleaned up afterwards.
FIXED-IN: 5.21.2


(cherry picked from commit 605d912d183c39bac456565bb739191a76d6db73)

M  +3    -4    kded/configvalueprovider.cpp
M  +4    -0    kded/configvalueprovider.h

https://invent.kde.org/plasma/kde-gtk-config/commit/83289058a4332f25c664f2f6b495c72c349e15c0